use strict;

srand(1);

my $pgsqlsqc = '/spool/home/teodor/pgsql';

my @array=( [], [], [], [] );
my @files = ( 
	$pgsqlsqc.'/contrib/intarray/data/test__int.data',
	$pgsqlsqc.'/contrib/rtree_gist/data/test_box.data',
	$pgsqlsqc.'/contrib/seg/data/test_seg.data',
	$pgsqlsqc.'/contrib/cube/data/test_cube.data',
);

foreach my $i ( 0..$#files ) {
	open(DAT, $files[$i] ) || die;
	while(<DAT>) {
		chomp;
		push( @{$array[$i]}, $_ );
	}
	close DAT;
}

foreach (1..10000) {
	print 
		value( $array[0] ), "\t",
		value( $array[1] ), "\t",	
		value( $array[2] ), "\t",	
		value( $array[3] ), "\n";	
}

sub value {
	my ($arr) = @_;
	
	if ( rand() < 0.2 ) {
		return '\N';
	} elsif ( defined $arr ) {
		return $arr->[ rand()*$#{$arr} ];
	}
}
